Use AdventureWorks2014;
GO
/* INNER JOIN Example with 2 Tables with no direct link */
SELECT 
	   Person.Person.FirstName
	  ,Person.Person.LastName
	  ,HumanResources.Department.Name
FROM Person.Person
	 INNER JOIN HumanResources.EmployeeDepartmentHistory
     ON Person.Person.BusinessEntityID
	    =HumanResources.EmployeeDepartmentHistory.BusinessEntityID
     INNER JOIN HumanResources.Department 
	 ON HumanResources.EmployeeDepartmentHistory.DepartmentID
	    =HumanResources.Department.DepartmentID 
WHERE HumanResources.Department.Name='Engineering'
ORDER BY HumanResources.Department.Name DESC; 




--INNER JOIN using Aliases, slightly different
SELECT D.Name, P.FirstName, P.LastName, E.JobTitle
FROM HumanResources.Department AS D
     INNER JOIN HumanResources.EmployeeDepartmentHistory AS DH
                ON D.DepartmentID=DH.DepartmentID
     INNER JOIN Person.Person AS P
                ON DH.BusinessEntityID=P.BusinessEntityID
     INNER JOIN HumanResources.Employee AS E
                ON DH.BusinessEntityID=E.BusinessEntityID
WHERE D.Name='Sales'
ORDER BY JobTitle DESC;