USE AdventureWorks2014;
GO
/* Query to create a Derived Table */
SELECT *
FROM (SELECT
      YEAR(OrderDate) AS 'Year'
	 ,MONTH(OrderDate) AS 'Month'
	 ,SubTotal
      FROM Sales.SalesOrderHeader
     ) TableDate
PIVOT (SUM(SubTotal)         --Data for columns
       FOR Month             --Column Headers
	   IN ([1],[2],[3],[4]
	      ,[5],[6],[7],[8]
		  ,[9],[10],[11],[12]
          )
       ) PivotTable;
GO
Use AdventureWorks2012;
GO
/* Substitute the Month Number for the Month Name */
SELECT *
--INTO dbo.YearlyTotals
FROM (
      SELECT
      YEAR(OrderDate) AS Year,
      CASE MONTH(OrderDate) 
           WHEN 1 THEN 'January'
           WHEN 2 THEN 'February'
           WHEN 3 THEN 'March'
           WHEN 4 THEN 'April'
           WHEN 5 THEN 'May'
           WHEN 6 THEN 'June'
           WHEN 7 THEN 'July'
           WHEN 8 THEN 'August'
           WHEN 9 THEN 'September'
           WHEN 10 THEN 'October'
           WHEN 11 THEN 'November'
           WHEN 12 THEN 'December'
      END as 'Month'
	  ,SubTotal
      FROM Sales.SalesOrderHeader
     ) TableData
PIVOT (SUM(SubTotal)     --Data for Columns
       FOR Month         --Header for Columns
	   IN ([January],[February],[March],[April]
	      ,[May],[June],[July],[August]
		  ,[September],[October],[November],[December]
		  )
       ) PivotTable;
GO