Use AdventureWorks2014;
GO
SELECT a.City
      ,stp.Name
  	  ,a.PostalCode
	  ,cr.CountryRegionCode
	  ,a.SpatialLocation
FROM Person.Address as a
     INNER JOIN Person.StateProvince as stp
	 ON a.StateProvinceID=stp.StateProvinceID
	 INNER JOIN Person.CountryRegion as cr
	 ON stp.CountryRegionCode=cr.CountryRegionCode
WHERE cr.CountryRegionCode= 'US'