--Creating a table for testing
SELECT SalesOrderID,ProductID,OrderQty,UnitPrice,UnitPriceDiscount
INTO dbo.DiscountedProducts
FROM Sales.SalesOrderDetail as sod
--Verify INFO
SELECT *
FROM dbo.DiscountedProducts
WHERE ProductID = 712

DELETE FROM dbo.DiscountedProducts
WHERE ProductID = 712

--With larger blocks of datas
WHILE 1 = 1
BEGIN
     DELETE TOP (1000)
	 FROM dbo.DiscountedProducts1
	 WHERE ProductID = 712
	 IF @@ROWCOUNT <1000 BREAK;
END

--TRUNCATE = ALL or NOTHING
SELECT *
FROM dbo.DiscountedProducts4

TRUNCATE TABLE dbo.DiscountedProducts4

--Delete from Joins  Change SELECT to DELETE
DELETE soh.OrderDate
      ,sod.SalesOrderID
	  ,sod.OrderQty
	  ,pcat.Name AS Category
      ,sod.ProductID 
      ,prod.Name
	  ,v.Name as VendorName
FROM Sales.SalesOrderHeader AS soh
     INNER JOIN 
     Sales.SalesOrderDetail AS sod
	 ON soh.SalesOrderID=sod.SalesOrderID
     INNER JOIN Production.Product AS prod
	 ON sod.ProductID=prod.ProductID
	 INNER JOIN Production.ProductSubcategory AS psub
	 ON prod.ProductSubcategoryID=psub.ProductSubcategoryID
	 INNER JOIN Production.ProductCategory AS pcat
	 ON psub.ProductCategoryID=pcat.ProductCategoryID
	 INNER JOIN Purchasing.ProductVendor AS pv
	 ON prod.ProductID=pv.ProductID
	 INNER JOIN Purchasing.Vendor AS v
	 ON pv.BusinessEntityID=v.BusinessEntityID
WHERE pcat.Name = 'Clothing'

