SELECT D.Name, P.FirstName, P.LastName, E.JobTitle
FROM HumanResources.Department AS D
INNER JOIN HumanResources.EmployeeDepartmentHistory AS DH
   ON D.DepartmentID=DH.DepartmentID
INNER JOIN Person.Person AS P
   ON DH.BusinessEntityID=P.BusinessEntityID
INNER JOIN HumanResources.Employee AS E
   ON DH.BusinessEntityID=E.BusinessEntityID
Where D.Name='Engineering';
go