--using PERCENT


--*Simple SELECT Query filtered to one Order
SELECT sod.SalesOrderID,(sod.UnitPrice*sod.OrderQty) as SalesTotal
FROM sales.SalesOrderDetail as sod
WHERE sod.SalesOrderID = '43659'
ORDER BY SalesTotal DESC

--SELECT Query GROUP by Each Order and TotalSales filtered
SELECT sod.SalesOrderID,(sod.UnitPrice*sod.OrderQty) as SalesTotal
FROM sales.SalesOrderDetail as sod
GROUP BY sod.SalesOrderID,sod.UnitPrice,sod.OrderQty
HAVING sod.SalesOrderID = '43659'
ORDER BY SalesTotal Desc

--SELECT TOP 5, TOP 10%
 SELECT pr.ProductID, pr.ListPrice
      FROM Production.Product as pr
      WHERE pr.ProductSubcategoryID = 1
      ORDER BY pr.ListPrice;


--SELECT TOP 10 WITH TIES
SELECT Top (5) with ties pr.ProductID, pr.ListPrice
      FROM Production.Product as pr
      WHERE pr.ProductSubcategoryID = 1
      ORDER BY pr.ListPrice;