--Top 5 in Sales based on Total Sales

SELECT sp.businessentityid as SalesID,p.FirstName+' '+p.LastName as SalesPerson,sum(sod.UnitPrice*sod.OrderQty) as TotalSales
FROM Person.Person as p 
	 INNER JOIN
	 Sales.SalesPerson as sp 
	 ON p.BusinessEntityID=sp.BusinessEntityID
     INNER JOIN 
	 Sales.SalesOrderheader as soh
	 ON sp.BusinessEntityID=soh.SalesPersonID
	 INNER JOIN
	 Sales.SalesOrderDetail as sod
	 ON soh.SalesOrderID=sod.SalesOrderID
GROUP BY sp.BusinessEntityID,p.FirstName,p.LastName