SELECT cr. Name AS Country
      ,pro. Name AS Region
	  ,a. city
FROM Person.CountryRegion as cr
     INNER JOIN Sales.SalesTerritory as st
	 ON cr.CountryRegionCode=st.CountryRegionCode
	 INNER JOIN Sales.SalesPerson as sp
	 ON st.TerritoryID=sp.TerritoryID
	 INNER JOIN Person.StateProvince as pro
	 ON st.TerritoryID=pro.TerritoryID
	 INNER JOIN Person.Address as a
	 ON pro.StateProvinceID=a.StateProvinceID

UNION 

SELECT cr.Name AS Country
      ,pro.Name AS Region
	  ,a.city AS City
FROM Sales.Customer AS c
     INNER JOIN Sales.SalesTerritory as st
	 ON c.TerritoryID=st.TerritoryID
	 INNER JOIN Person.CountryRegion as cr
	 ON st.CountryRegionCode=cr.CountryRegionCode
	 INNER JOIN Person.StateProvince as pro
	 ON cr.CountryRegionCode=pro.CountryRegionCode
	 INNER JOIN Person.Address as a
	 ON pro.StateProvinceID=a.StateProvinceID
     