###Querying Microsoft SQL Server 2014 - Exam 70-461
{FileName}microsoft-sql70461-1-2-create_and_alter_views-MMDDYY
{EpisodeName}Create and alter views
{ShowName}Querying Microsoft SQL Server 2014
{Description}
*In December 2015, this exam was evaluated for applicability to both SQL Server 2012 and SQL Server 2014. It was determined that no updates to exam objectives were required.*

###1.2 Create and alter views
------------------------------------------------------------

* Ensure code non regression by keeping consistent signature for procedure, views and function (interfaces);
	+ Try int make sure that you do not break functionality to SQL Server 2014 database.
	+ Changes to Database through Stored Procedure and Access to Stored Procedure.
	+ `WITH_ENCRYPTION`
		- Prevents view from being published when SQL Servers replicate
	+ `WITH CHECK OPTION`
		- Remember that you can modify table values from a view.
		- When using the WHERE clause in the view to filter, you can still modify the table where the results will not show your filtered result anymore even outside of the where clause.
		- This option prevents that from happening that if you're using a view to modify the database, it limits the modifications to the filtered options in the where statement.
	+ Adding a Signature to the code to prevent unauthorized changes to your code as well.
	
