###Querying Microsoft SQL Server 2014 - Exam 70-461
{FileName}microsoft-sql70461-4-4-implement_error_handling-MMDDYY
{EpisodeName}Implement Error Handling
{ShowName}Querying Microsoft SQL Server 2014
{Description}
####4.0 Troubleshoot and optimize (25–30%)
* 4.4 Implement error handling
	+ Scope and type of locks
		- Shared Locks: used for read data
		- Exclusive Locks: used for changes to data
		- Deadlocking: mutually blocked between two sessions
			+ Aborts the transaction
			+ Returns a 1205 error message
	+ Implement try/catch/throw
		- Put tested code within TRY blocks (Begin TRY/END TRY)
			+ no error is sent to client
		- If Error in TRY block, moves to CATCH for error handling. (BEGIN CATCH/END CATCH)
			- rest of TRY block is not processed
			- Error is processed then to SQL code following END CATCH
			- If no error, then move to first SQL code after END CATCH
	+ use set based rather than row based logic
		- Demonstrate the cost of using cursor or user defined scalar function