USE AdventureWorks2012;
GO 

CREATE TRIGGER Sales.tr_SalesOrderDetailsDML
    ON [Sales].[SalesOrderDetail]
    AFTER DELETE, INSERT, UPDATE
    AS
    BEGIN
		 IF @@ROWCOUNT = 0 RETURN; --MUST BE 1st
         SET NOCOUNT ON;
		 SELECT COUNT(*) AS InsertedCount FROM inserted;
		 SELECT COUNT(*) AS DeletedCount FROM deleted;

    END;
