Use AdventureWorks2014;
GO
/* Query 2 tables for results we want, assumption. 
SELECT sp.BusinessEntityID
      ,p.FirstName
	  ,p.LastName
	  ,sp.SalesLastYear
FROM Sales.SalesPerson AS sp, Person.Person AS p;
GO
*/




--Linking the 2 tables together to get the result we want.
SELECT sp.BusinessEntityID
      ,p.FirstName
	  ,p.LastName
	  ,sp.SalesLastYear
FROM Sales.SalesPerson AS sp
     RIGHT JOIN Person.Person AS p
	 ON sp.BusinessEntityID=p.BusinessEntityID;
GO