USE AdventureWorks2014;
GO
-- AverageSale from all sales territories
SELECT avg(st.SalesYTD) AverageSales
FROM sales.SalesTerritory as st

-- Each Territory by TotalSales
SELECT st.TerritoryID,st.Name, Sum(st.SalesYTD) AS TotalSales
FROM sales.SalesTerritory as st
GROUP BY TerritoryID,Name
ORDER BY TotalSales desc