USE AdventureWorks2014;
GO

SELECT prod.ProductId
      ,prod.name as ProductName
      ,prod.ProductsubcategoryID as Category
	  ,CASE prod.ProductsubcategoryID
            WHEN 1 THEN 'Mountain Bike'
	        WHEN 2 THEN 'Road Racer'
	        WHEN 3 THEN 'Touring Bike'
	        ELSE 'Parts'
       END AS Categoryname
FROM Production.Product as prod
WHERE prod.ProductSubcategoryID IS NOT NULL;

--Coalesce example
SELECT pro.Name
      ,pro.Class
	  ,pro.Color
	  ,pro.ProductNumber
	  ,COALESCE(Class, Color,ProductNumber) AS FirstNotNull
FROM Production.Product as pro;