USE AdventureWorks2012;
GO
SELECT sod.SalesOrderID
      ,sod.ProductID
	  ,sod.OrderQty
	  ,sod.UnitPrice
	  ,sod.UnitPriceDiscount
	  ,sod.LineTotal
FROM Sales.SalesOrderDetail as sod
WHERE sod.SalesOrderID = '43659'

UPDATE Sales.salesorderdetail
SET UnitPriceDiscount +=.05
WHERE SalesOrderID = '43659'

UPDATE Sales.salesorderdetail
SET UnitPriceDiscount -=.05
WHERE SalesOrderID = '43659'


UPDATE sales.SalesOrderDetail
SET UnitPriceDiscount += 0.10
SELECT sod.SalesOrderID
      ,sod.ProductID
	  ,sod.OrderQty
	  ,sod.UnitPrice
	  ,sod.UnitPriceDiscount
	  ,sod.LineTotal
	  ,cr.Name
FROM Sales.SalesOrderDetail as sod
     INNER JOIN Sales.SalesOrderHeader as soh
	 ON sod.SalesOrderID=soh.SalesOrderID
	 INNER JOIN Sales.SalesTerritory as st
	 ON soh.TerritoryID=st.TerritoryID
	 INNER JOIN Person.CountryRegion as cr
	 ON st.CountryRegionCode=cr.CountryRegionCode
WHERE cr.Name = 'Canada'

