--HASH, MERGE and LOOP JOINs
SELECT p.FirstName
      ,p.LastName
	  ,soh.SalesOrderID
FROM
Sales.SalesOrderHeader AS soh
JOIN
Person.Person AS p
ON
soh.CustomerID = p.BusinessEntityID
WHERE
p.FirstName LIKE 'John%'
OPTION (HASH JOIN)

--MERGE JOIN
SELECT p.FirstName
      ,p.LastName
	  ,soh.SalesOrderID
FROM
Sales.SalesOrderHeader AS soh
JOIN
Person.Person AS p
ON
soh.CustomerID = p.BusinessEntityID
WHERE
p.FirstName LIKE 'John%'
OPTION (MERGE JOIN)

--LOOP JOIN
SELECT p.FirstName
      ,p.LastName
	  ,soh.SalesOrderID
FROM
Sales.SalesOrderHeader AS soh
JOIN
Person.Person AS p
ON
soh.CustomerID = p.BusinessEntityID
WHERE
p.FirstName LIKE 'John%'
OPTION (LOOP JOIN)