Use AdventureWorks2012;
Go
--create 2 tables
CREATE TABLE Employee([EID] [int] IDENTITY(10,5) NOT NULL,[Name] [varchar](50) NULL)

insert into Employee(Name) values('Ronnie')
insert into Employee(Name) values('Daniel')
insert into Employee(Name) values('Mike')
insert into Employee(Name) values('Don')
insert into Employee(Name) values('Wes')

CREATE TABLE DEPT(EID INT,DEPTNAME VARCHAR(100))
insert into dept values(10,'IT')
insert into dept values(15,'Finance')
insert into dept values(20,'Admin')
insert into dept values(25,'HR')
insert into dept values(30,'Payroll')

--Create CTE Query
WITH CTE_Query (EID,Name,DeptName)
AS (SELECT Employee.EID,Employee.Name,DEPT.DEPTNAME
    FROM Employee
	INNER JOIN DEPT
	   ON Employee.EID=DEPT.EID)
SELECT * from CTE_Query; 