Use AdventureWorks2014;
GO
--Query for the Products and Categories
SELECT prod.ProductId
      ,prod.name as ProductName
	  ,prod.ProductsubcategoryID as Category
FROM Production.Product as prod;
GO


--Take the Category value and report a meaningful value for it.
SELECT prod.ProductId,prod.name as ProductName
	  ,prod.ProductsubcategoryID as Category
	  ,CASE prod.ProductsubcategoryID
          WHEN 1 THEN 'Mountain'
	      WHEN 2 THEN 'Road Racing'
	      WHEN 3 THEN 'Touring'
	      ELSE 'Parts'
       END AS CategoryName
FROM Production.Product as prod;
GO