###Querying Microsoft SQL Server 2012 - Exam 70-461
{FileName}microsoft-sql70461-2-3-implement_datatypes-MMDDYY
{EpisodeName}Implement Datatypes
{ShowName}Querying Microsoft SQL Server 2012
{Description}
*In December 2015, this exam was evaluated for applicability to both SQL Server 2012 and SQL Server 2014. It was determined that no updates to exam objectives were required.*
####2.0 Work with data (25–30%)
* 2.3 Implement data types
	+ Understand the uses and limitations of each data type
		- Data types impact performance
		- Numeric Data Types
			+ Exact
				- Integers
					+ tinyint (1 byte)
					+ bigint (8 byte)
					+ int (4 bytes)
				- Decimal and Numeric
					+ number of total digits and decimal values
					+ the larger the range of data, the more storage
				- Money and Smallmoney
					+ Max of 4 places
				- Bit On or Off
			+ Approximate (Less Accurate but more capacity)
				- can store values in scientific notation
				- float and real
					+ 1 to 24 decimals points (4 bytes)
					+ 25 to 53 decimal points (8 bytes)
					+ REAL is ISO synonym for float.
		- Binary String Data Types
			+ fixed-length binary data through 8KB
			+ variable-length binary data
				- data entered +2 Bytes
				- max 2^31-1 bytes
		- Date and Time
			+ Date (3 bytes)
			+ Datetime2 (6 to 8 bytes)
			+ Datetime (8 Bytes)
			+ smalldatetime (4 bytes)
		
	+ Impact of GUID (newid, newsequentialid) on database performance, when to use what data type for columns.
		- Non-Sequential GUID
		- Sequential GUID
		- The larger  the data type, the more storage is required.